/*
JMP Genomics Analytical Process

Name: ConcatenateData
Author: Luciano Silva, SAS Institute Inc.
Support: Luciano Silva, SAS Institute Inc.
History:
   sbrlsi 03Aug20 initial coding 

Description:
      Concatenate Data (code name Concatenate Data) combine rows 
      of SAS data sets into a single data set containing rows of 
      all input files.
*/

/*
-----------------------------------------------------------
Copyright (C) 2020 SAS Institute, Inc. All rights reserved. 

Notice: 
The above copyright notice and this notice must appear in
any whole or partial copy of this code and any related
documentation. Permission to use, copy, and modify the
source code contained in this file is hereby granted, but
is limited to customers of SAS with a valid license for the
SAS software product with which this file was provided. 
Except as expressly set forth herein, the terms of such
license apply.
-----------------------------------------------------------
*/

*ProcessVariables;


%let InPath=%nrbquote($LS_HOME\Sample Data\Genetics\);
%let FileType= \.sas7bdat;
%let InFiles= t1_nocrom.sas7bdat|t2_noGT.sas7bdat|t3_noid.sas7bdat;
%let OutPath=%nrbquote($HOME/JMPG/ProcessResults/);
%let MacroPath= $GENOMICS_HOME\MacroLib;
%let InData=%nrbquote($LS_HOME\Sample Data\Genetics\t3_noid.sas7bdat);
%let KeepVars= ;
%let DropVars= REF ALT QUAL FILTER NA19239_GQ NA12891_GQ NA19239_DP NA12891_DP;
%let OutName=%nrbquote();
%let GENOMICS_HOME=%nrbquote($GENOMICS_HOME\);
%let USER_HOME=%nrbquote($HOME\JMPG\);

*ProcessBody;

%include "$GENOMICS_HOME\ProcessLibrary\ConcatenateData.sas";
