/*
JMP Genomics Feature-Barcode Matrices Importer

Name: FeatureBarcodeMatricesImporter
Author: Meijian Guan, Meijian.Guan@jmp.com
*/

/*
-----------------------------------------------------------
Copyright (C) 2011 SAS Institute, Inc. All rights reserved. 

Notice: 
The above copyright notice and this notice must appear in
any whole or partial copy of this code and any related
documentation. Permission to use, copy, and modify the
source code contained in this file is hereby granted, but
is limited to customers of SAS with a valid license for the
SAS software product with which this file was provided. 
Except as expressly set forth herein, the terms of such
license apply.
-----------------------------------------------------------
*/

OPTIONS nospool;
*ProcessVariables;


%let StudyName=%nrbquote();
%let InPath=%nrbquote($LS_HOME\Sample Data\scRNAseq\);
%let FileFilter= \.mtx$|\.tsv$|\.txt$|\.csv$;
%let mtxFile= matrix.mtx;
%let geneFile= genes.tsv;
%let barcodeFile= barcodes.tsv;
%let FileType= Tab Delimited;
%let OutData=%nrbquote(pbmc_dense);
%let OutPath=%nrbquote($HOME\JMPG\ProcessResults\);
%let MacroPath= $LS_HOME\MacroLib;
%let Server= Local;
%let LS_HOME=%nrbquote($LS_HOME\);
%let CLIENT_LS_HOME=%nrbquote($LS_HOME\);
%let GENOMICS_HOME=%nrbquote($GENOMICS_HOME\);
%let USER_HOME=%nrbquote($HOME\JMPG\);
%let LSUSER_HOME=%nrbquote($HOME\JMPLS\);
%let CLIENT_USER_HOME=%nrbquote($HOME\JMPG\);
%let CLIENT_LSUSER_HOME=%nrbquote($HOME\JMPLS\);
%let Metapath=%nrbquote($HOME\JMPG\);
%let Starter_Index=%nrbquote(2);
%let LS_Product=%nrbquote(Genomics);
%let CLIENT_HOST= Windows;


*ProcessBody;
%macro runAP;  
filename customap "$HOME\JMPG\ProcessLibrary/FeatureBarcodeMatricesImporter.sas";
%if %sysfunc(fexist(customap)) %then %do;
   %include customap;
%end;
%else %do;
   %include "$GENOMICS_HOME\ProcessLibrary/FeatureBarcodeMatricesImporter.sas";
%end;
%mend;
%runAP;