/*
JMP Genomics Analytical Process

Name: VariableGeneSelection
Author: Meijian Guan, SAS Institute Inc.                        

Description: 
Generate Variance-Mean plot and select top genes for subsequent analysis.
*/

/*
-----------------------------------------------------------
Copyright (C) 2004 SAS Institute, Inc. All rights reserved. 

Notice: 
The above copyright notice and this notice must appear in
any whole or partial copy of this code and any related
documentation. Permission to use, copy, and modify the
source code contained in this file is hereby granted, but
is limited to customers of SAS with a valid license for the
SAS software product with which this file was provided. 
Except as expressly set forth herein, the terms of such
license apply.
-----------------------------------------------------------
*/


%let StudyName=%nrbquote();
%let InData=%nrbquote($LS_HOME\Sample Data\scRNAseq\PBMC_dense.sas7bdat);
%let minFeature= 200;
%let maxFeature= 2500;
%let minCell= 3;
%let MtPercent= 5;
%let topGenes= 3000;
%let CalculationMethod=%nrbquote(Dispersion);
%let min_disp=0.5;
%let max_disp=100;
%let min_mean=0.0125;
%let max_mean=3;
%let OutData=%nrbquote(vargenes);
%let OutPath=%nrbquote($HOME\JMPG\ProcessResults\);
%let MacroPath= $LS_HOME\MacroLib;
%let Server= Local;
%let LS_HOME=%nrbquote($LS_HOME\);
%let CLIENT_LS_HOME=%nrbquote($LS_HOME\);
%let GENOMICS_HOME=%nrbquote($GENOMICS_HOME\);
%let USER_HOME=%nrbquote($HOME\JMPG\);
%let LSUSER_HOME=%nrbquote($HOME\JMPLS\);
%let CLIENT_USER_HOME=%nrbquote($HOME\JMPG\);
%let CLIENT_LSUSER_HOME=%nrbquote($HOME\JMPLS\);
%let Metapath=%nrbquote($HOME\JMPG\);
%let Starter_Index=%nrbquote(2);
%let LS_Product=%nrbquote(Genomics);
%let CLIENT_HOST= Windows;


*ProcessBody;
%macro runAP;  
filename customap "$HOME\JMPG\ProcessLibrary/VariableGeneSelection.sas";
%if %sysfunc(fexist(customap)) %then %do;
   %include customap;
%end;
%else %do;
   %include "$GENOMICS_HOME\ProcessLibrary/VariableGeneSelection.sas";
%end;
%mend;
%runAP;
