/*
JMP Genomics Analytical Process

Name: XGBoost Regression
Author: Luciano Silva, SAS Institute Inc.
History:
   sbrlsi 01April19 initial coding
*/

/*
-----------------------------------------------------------
Copyright (C) 2019 SAS Institute, Inc. All rights reserved. 

Notice: 
The above copyright notice and this notice must appear in
any whole or partial copy of this code and any related
documentation. Permission to use, copy, and modify the
source code contained in this file is hereby granted, but
is limited to customers of SAS with a valid license for the
SAS software product with which this file was provided. 
Except as expressly set forth herein, the terms of such
license apply.
-----------------------------------------------------------
*/

*ProcessVariables;


%let StudyName=%nrbquote();
%let InData=%nrbquote($LS_HOME\Sample Data\Genetics\samplegmdata_numgeno.sas7bdat);
%let ClassVar= disease;
%let PredictorVars= Qtrt1 Qtrt2 Qtrt3 Qtrt4;
%let ClassPredVars= sex;
%let WeightVar= ;
%let LabelVar= Ped_id;
%let ListContPredVars=%nrbquote();
%let ListClassPredVars=%nrbquote(numgeno:);
%let OutPath=%nrbquote($HOME/JMPLS/ProcessResults/);
%let MacroPath= $GENOMICS_HOME\MacroLib;
%let LockContPredVars= ;
%let LockClassPredVars= ;
%let ListLockContPredVars=%nrbquote();
%let ListLockClassPredVars=%nrbquote();
%let PredWhere=%nrbquote();
%let PredClassWhere=%nrbquote();
%let DataStepStatements=%str();
%let TransformationMethod=%nrbquote();
%let StandardizationMethod=%nrbquote();
%let NumArg= ;
%let ImputeZeros= No;
%let StatTest= No;
%let ST_Max= ;
%let ST_Method= ;
%let Nominalize= ;
%let ST_AsymmetricLossFitProp= ;
%let ST_QuantileLevel= ;
%let MultipleTestingMethod= ;
%let NegLog10pCutoff= ;
%let AbsMeanDiffCutoff= ;
%let AbsPropDiffCutoff= ;
%let KMeans= No;
%let KM_Usage= ;
%let KM_Max= ;
%let KM_CorrRadius= ;
%let FR_ImpVars= No;
%let FR_Inds= No;
%let FR_NImpVars= ;
%let FR_MaxDepth= ;
%let FR_LeafSize= ;
%let FR_Seed= ;
%let FR_MaxTrees= ;
%let FR_NInputs= ;
%let RG_SelectMethod=%nrbquote(None);
%let RG_Adaptive= ;
%let RG_StopCriterion= ;
%let RG_SLEntry= ;
%let RG_SLStay= ;
%let RG_CVPMethod= ;
%let RG_CVKFold= ;
%let RG_MaxStep= ;
%let RG_OrderInt= ;
%let RG_Poolwise= ;
%let RG_PoolSize= ;
%let RG_PoolMax= ;
%let RG_ModelAveraging= ;
%let RG_MA_NSamples= ;
%let RG_MA_Max= ;
%let RG_MaxRounds= ;
%let RG_Seed= ;
%let Optimize= No;
%let Opt_Similarity= ;
%let Opt_Criterion= ;
%let Opt_Algorithm= ;
%let StandardizeRows= No;
%let Booster=%nrbquote(gbtree);
%let NumBoostRound= 20;
%let Objective=%nrbquote(reg:logistic);
%let Seed= 923748;
%let Maxdepth= 6;
%let MinChildWeight= 1;
%let SubSample= 1;
%let ColSampleByTree= 1;
%let LambdaTree= 1;
%let AlphaTree= 0;
%let EtaReg= 0.3;
%let NThread= 0;
%let GammaReg= 0;
%let MaxDeltaStep= 0;
%let ColSampleByLevel= 1;
%let ColSampleByNode= 1;
%let TreeMethodReg=%nrbquote(auto);
%let SketchEps= ;
%let ScalePosWeight= 1;
%let RefreshLeaf=%nrbquote(1);
%let GrowPolicy= ;
%let MaxLeaves= ;
%let MaxBin= ;
%let Predictor= cpu_predictor;
%let NumParallelTree= 1;
%let BaseScore= 0.5;
%let SampleType= ;
%let NormalizeType= ;
%let RateDrop= ;
%let OneDrop= ;
%let SkipDrop= ;
%let LambdaLinear= ;
%let UpdaterLinear= ;
%let FeatureSelector= ;
%let TopK= ;
%let TweedieVarPower= ;
%let TestInData=%nrbquote();
%let AsymmetricLossEvalProp= 0.5;
%let CustomCosts=%nrbquote();
%let XGBoostReg_OutData=%nrbquote();
%let XGBoostReg_OutDataVars= ;
%let XGBoostReg_Script=%nrbquote();
%let GENOMICS_HOME=%nrbquote($GENOMICS_HOME\);

*ProcessBody;

%include "$GENOMICS_HOME\ProcessLibrary\XGBoostReg.sas"; 