/*
JMP Genomics Analytical Process

Name: Haplotype Trend Regression
Author: Wendy Czika

Description:
Performs "haplotype trend regression" using output 
data set from PROC HAPLOTYPE containing 
individuals' probabilities for haplotype pairs to 
test for association with a quantitative trait 
using PROC REG.  See the HAPLOTYPE procedure 
in the SAS/Genetics User's Guide and the REG 
procedure in the SAS/STAT User's Guide for more
information.
*/

/*
-----------------------------------------------------------
Copyright (C) 2004 SAS Institute, Inc. All rights reserved. 

Notice: 
The above copyright notice and this notice must appear in
any whole or partial copy of this code and any related
documentation. Permission to use, copy, and modify the
source code contained in this file is hereby granted, but
is limited to customers of SAS with a valid license for the
SAS software product with which this file was provided. 
Except as expressly set forth herein, the terms of such
license apply.
-----------------------------------------------------------
*/

*ProcessVariables;

%let StudyName=;
%let InData=%nrbquote($LS_HOME\Sample Data\Genetics\samplegmdata_phase.sas7bdat);
%let TraitVars= Qtrt1;
%let ClassVars= ;
%let Covar= Qtrt2;
%let CensorVar= ;
%let IDVars= ;
%let ByVars= ;
%let WhereStmt=%nrbquote(windowID<=3);
%let OutPath=%nrbquote($HOME/JMPG/ProcessResults/);
%let MacroPath= $GENOMICS_HOME\MacroLib;
%let RegMethod= Continuous;
%let EventTrait= ;
%let CensorValues= ;
%let CombineBelow= 0.005;
%let HapFreqData=%nrbquote($LS_HOME\Sample Data\Genetics\samplegmdata_hapfreqs.sas7bdat);
%let FreqVar= Freq;
%let DropBelow= 0.0;
%let Perms= 0;
%let Seed= ;
%let OutputResid= No;
%let OutputPred= No;
%let OutputFitStat= Yes;
%let HaplotypeTrendReg_OutData= ;
%let HaplotypeTrendReg_Body= ;
%let HaplotypeTrendReg_Contents= ;
%let HaplotypeTrendReg_Frame= ;
%let ModelOut= None;
%let SaveEach= No;
%let BuildCombined= Yes;
%let OutName=%nrbquote();
%let Conv=%nrbquote();
%let MTC=%nrbquote();
%let PValAdj=%nrbquote();
%let Tau= ;
%let Bandwidth= ;
%let Alpha= 0.05;
%let GENOMICS_HOME=%nrbquote($GENOMICS_HOME\);
%let USER_HOME=%nrbquote($HOME\JMPG\);

*ProcessBody;

%include "$GENOMICS_HOME\ProcessLibrary\HaplotypeTrendRegression.sas"; 