/*
SAS Scientific Discovery Solutions Analytical Process 
Name: One-Way ANOVA
Author: Russ Wolfinger, SAS Institute Inc.
Support: Tzu-Ming Chu, SAS Institute Inc.
History:
	sasrdw 19Aug06 initial coding based on ANOVA
Description: 
		One-Way ANOVA fits a one-way analysis-of-variance
		linear model to each row of the input data set, which is assumed
		to already be normalized, and creates numerous
		output displays. You can conduct similar
		and more advanced analyses using the ANOVA and
		Mixed Model Analysis processes.  NOTE: This process can be
		computationally intensive for large data sets.
*/
/*
-----------------------------------------------------------
Copyright (C) 2006 SAS Institute, Inc. All rights reserved. 
 
Notice: 
The above copyright notice and this notice must appear in
any whole or partial copy of this code and any related
documentation. Permission to use, copy, and modify the
source code contained in this file is hereby granted, but
is limited to customers of SAS with a valid license for the
SAS software product with which this file was provided. 
Except as expressly set forth herein, the terms of such
license apply.
-----------------------------------------------------------
*/
*ProcessVariables;
%let InData=%nrbquote($LS_HOME\Sample Data\Microarray\Scanalyze Drosophila\drosophilaaging_norm.sas7bdat);
%let BaseMergeVars= SPOT;
%let ExpInData=%nrbquote($LS_HOME\Sample Data\Microarray\Scanalyze Drosophila\drosophilaaging_exp.sas7bdat);
%let GroupVars= Line Sex Age;
%let BlockVars= Array;
%let OutPath=%nrbquote($HOME/JMPG/ProcessResults/);
%let MacroPath= $GENOMICS_HOME\MacroLib;
%let AnnoInData=%nrbquote($LS_HOME\Sample Data\Microarray\Scanalyze Drosophila\drosophila_annotation.sas7bdat);
%let AnnoMergeVars= Spot;
%let AnnoAccession= Accession;
%let AnnoLabel= ShortDescription;
%let AnnoGeneSymbol= ;
%let AnnoDescription= ;
%let AnnoGeneId= ;
%let AnnoSnpId= ;
%let AnnoOrganism= Drosophila melanogaster;
%let PlotResiduals= no;
%let LSMeansDiffSet= All Pairwise Differences;
%let LSMeansControlValues=;
%let LSMeanStdMethod= STD;
%let MultipleTestingMethod= Bonferroni;
%let Alpha= 0.05;
%let NegLog10pCutoff= ;
%let VolcanoUnifiedY= yes;
%let EBShrink= yes;
%let StdErrs= no;
%let TStats= no;
%let PValues= no;
%let adjPValues= no;
%let Speak= no;
%let OutData=%nrbquote();
%let JSLFile=%nrbquote();
*ProcessBody;
%include "$GENOMICS_HOME\ProcessLibrary\OneWayANOVA.sas"; 
