/*
JMP Genomics Analytical Process

Name: QTL Single Marker Analysis
Author: Shengchu Wang

Description:

	QTL Single Marker Analysis is a good way to quickly
    scan whole genome to get an idea of where the QTLs may
    reside. It does simple regression for each marker with 
    all trait values and find out the probability of QTL 
	evidence for these markers. 
*/

/*
-----------------------------------------------------------
Copyright (C) 2007 SAS Institute, Inc. All rights reserved. 

Notice: 
The above copyright notice and this notice must appear in
any whole or partial copy of this code and any related
documentation. Permission to use, copy, and modify the
source code contained in this file is hereby granted, but
is limited to customers of SAS with a valid license for the
SAS software product with which this file was provided. 
Except as expressly set forth herein, the terms of such
license apply.
-----------------------------------------------------------
*/

*ProcessVariables;

%let StudyName=;
%let InData=%nrbquote($LS_HOME\Sample Data\QtlMapping\qtlsfsample_geno.sas7bdat);
%let MarkerVars= MK_1_1 MK_1_2 MK_1_3 MK_1_4 MK_1_5 MK_1_6 MK_1_7 MK_1_8 MK_1_9 MK_1_10 MK_1_11 MK_1_12 MK_2_1 MK_2_2 MK_2_3 MK_2_4 MK_2_5 MK_2_6 MK_2_7 MK_2_8 MK_2_9 MK_2_10 MK_2_11 MK_2_12 MK_3_1 MK_3_2 MK_3_3 MK_3_4 MK_3_5 MK_3_6 MK_3_7 MK_3_8 MK_3_9 MK_3_10 MK_3_11 MK_3_12;
%let TraitVar= Trait_SF1 Trait_BC1;
%let FactorVars= ;
%let FactorClassVars= ;
%let ListMarkerVars=%nrbquote();
%let ListTraitVars=%nrbquote();
%let WhereStmt=%nrbquote();
%let OutPath=%nrbquote($HOME/JMPG/ProcessResults/);
%let MacroPath= $GENOMICS_HOME\MacroLib;
%let AnnoInData=%nrbquote($LS_HOME\Sample Data\QtlMapping\qtlsfsample_anno.sas7bdat);
%let ChromNum= ChromNum;
%let ChromLab= ;
%let MarkerLab= MarkerLab;
%let MarkerPos= MarkerPos;
%let MarkerPos_BP= ;
%let MarkerFmt= Numeric Genotypes;
%let GenoDelim= ;
%let GenoMcode= ;
%let OutName=%nrbquote();
%let GENOMICS_HOME=%nrbquote($GENOMICS_HOME\);
%let USER_HOME=%nrbquote($HOME\JMPG\);

*ProcessBody;

%include "$GENOMICS_HOME\ProcessLibrary\QtlSingleMarkerAnalysis.sas"; 